Bug 845410 - Bug in Administration and Configuration Guide
Bug in Administration and Configuration Guide
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Admin_and_Config_Guide (Show other bugs)
5.1.2
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Scott Mumford
Rajesh Rajasekaran
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 22:04 EDT by Joshua Wilson
Modified: 2014-05-15 00:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-15 00:41:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wilson 2012-08-02 22:04:05 EDT
Description of problem: Reference to OLD Hibernate Defaults.


Version-Release number of selected component (if applicable):


How reproducible: Go to 4.2.3. Default Hibernate options: 

http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/ch04s02s03.html

At first I thought that the reference to JBoss AS 4.2 was a typo but now I think the whole section is old.  "JBOSS_DIST/server/default/deploy/ejb3.deployer/MEAT-INF/persistence.properties" does not exist in the installation of EAP 5.1.2.  If I search for "persistence.properties" I can only find it in "/usr/share/jboss-seam2/bootstrap/META-INF/persistence.properties".  

I think you may be looking for: "/var/lib/jbossas/server/default/deployers/ejb3.deployer/META-INF/jpa-deployers-jboss-beans.xml".  The format is different as it is xml instead of a properties file.  Please note that it is in the "deployers" directory instead of the "deploy" directory.

Also there is an example of all possible Hibernate settings at: "/usr/share/hibernate3-3.3.2/etc/hibernate.properties"


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Jan Martiska 2014-04-15 05:25:43 EDT
Looks good.

Note You need to log in before you can comment on or make changes to this bug.